Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1212

Summary: inefficient /etc/csh.cshrc, leaves droppings in environment
Product: [Retired] Red Hat Linux Reporter: ericdh
Component: setupAssignee: David Lawrence <dkl>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 5.1   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
URL: http://www.crystalcave.net/~edh
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-02-18 21:20:04 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description ericdh 1999-02-17 02:59:24 UTC
As a tcsh beta-tester, I noticed that the setup file
/etc/csh.cshrc leaves stray variables ($i) in the login
environment and is rather inefficient.  I will submit a
patch to clean this up without any loss of functionality
or maintainability.

------- Email Received From  ericdh@tiac.net (Eric D. Hendrickson) 02/16/99 22:07 -------

Comment 1 Jeff Johnson 1999-02-18 21:20:59 UTC
Fixed in setup-1.9.2-3